<?php
/*
Plugin Name: JSON feed
Plugin URI: http://wordpress.org/extend/plugins/json-feed/
Description: Provides feeds in JSON form
Version: 1.2
Author: Chris Northwood
Author URI: http://www.pling.org.uk/
*/

add_filter('query_vars', 'json_feed_queryvars');

function json_feed_queryvars($qvars)
{
  $qvars[] = 'jsonp';
  return $qvars;
}
function json_feed()
{
    $output = array();
    while (have_posts())
    {
        the_post();
        $output[] = array('title' => get_the_title(), 'excerpt' => get_the_excerpt(), 'date' => get_the_time('F j, Y H:i'));
    }
    if (get_query_var('jsonp') == '')
    {
        header('Content-Type: application/json; charset=' . get_option('blog_charset'), true);
        echo json_encode($output);
    }
    else
    {
        header('Content-Type: application/javascript; charset=' . get_option('blog_charset'), true);
        echo get_query_var('jsonp') . '(' . json_encode($output) . ')';
    }
}

add_action('do_feed_json', 'json_feed');

?>
